> ## Documentation Index
> Fetch the complete documentation index at: https://docs-api.kravata.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Wallets

> ### Get Wallet Details

By consuming this endpoint you can retrieve the details, status and IDs of your registered Wallets. The ID of the chosen wallet is necessary to place your order. Before doing so, please make sure the wallet status is "accepted".

Log in to our front-end interface to register a new Wallet.

#### Request

| Field | **Type** | Required | Description |
| --- | --- | --- | --- |
| Authorization | Header | Yes | The access token, valid for 5 minutes, is used to authenticate requests to other endpoints. |
| clientID | URL | Yes | Include your assigned **ID** in the URL, obtainable through the **Get infoClient** endpoint. |

#### Response

The response for this request is a JSON object representing the wallet details.

| Field | Description |
| --- | --- |
| id | This is a unique identifier for each Wallet registered. |
| wallet | This is the digital Wallet address you registered. Please, make sure all characters are correct when registering Wallets, and submitting orders. |
| status | This status corresponds to the status determined after the registration and compliance review have been completed. To operate with this Wallet, it must appear as "accepted". |
| supportedToken | This is the Token your wallet was issued for. Please, make sure it matches the token your digital Wallet supports when registering it and submitting orders. |
| supportedNetwork | This is the Network your wallet was issued for. Please, make sure it matches the network your digital Wallet supports when registering it and submitting orders. |
| supportedCustodian | This is the custodian your wallet which issued your wallet. If it is a decentralized wallet, when registering it, you can choose this option as "sin custodio/ descentralizada". |
| registerDate | This is the date when you registered your wallet with us. |
| userID | The unique identifier of the account owner. It should be the same as your assigned id, since we are operating through a B2B service model. |



## OpenAPI

````yaml /business/openapi.json get /api/wallets/{clientId}
openapi: 3.1.0
info:
  title: Kravata Business API
  version: '1.0'
  description: >-
    Kravata Business API: on-ramp and off-ramp orders between fiat and
    stablecoins for your own accounts and wallets.
servers:
  - url: https://testapi.kravata.co
    description: Test
  - url: https://apiv2.kravata.co
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Authentication
  - name: Accounts
  - name: Wallets
  - name: Ramp Orders
  - name: Webhooks
paths:
  /api/wallets/{clientId}:
    get:
      tags:
        - Wallets
      summary: Get Wallets
      description: >-
        ### Get Wallet Details


        By consuming this endpoint you can retrieve the details, status and IDs
        of your registered Wallets. The ID of the chosen wallet is necessary to
        place your order. Before doing so, please make sure the wallet status is
        "accepted".


        Log in to our front-end interface to register a new Wallet.


        #### Request


        | Field | **Type** | Required | Description |

        | --- | --- | --- | --- |

        | Authorization | Header | Yes | The access token, valid for 5 minutes,
        is used to authenticate requests to other endpoints. |

        | clientID | URL | Yes | Include your assigned **ID** in the URL,
        obtainable through the **Get infoClient** endpoint. |


        #### Response


        The response for this request is a JSON object representing the wallet
        details.


        | Field | Description |

        | --- | --- |

        | id | This is a unique identifier for each Wallet registered. |

        | wallet | This is the digital Wallet address you registered. Please,
        make sure all characters are correct when registering Wallets, and
        submitting orders. |

        | status | This status corresponds to the status determined after the
        registration and compliance review have been completed. To operate with
        this Wallet, it must appear as "accepted". |

        | supportedToken | This is the Token your wallet was issued for. Please,
        make sure it matches the token your digital Wallet supports when
        registering it and submitting orders. |

        | supportedNetwork | This is the Network your wallet was issued for.
        Please, make sure it matches the network your digital Wallet supports
        when registering it and submitting orders. |

        | supportedCustodian | This is the custodian your wallet which issued
        your wallet. If it is a decentralized wallet, when registering it, you
        can choose this option as "sin custodio/ descentralizada". |

        | registerDate | This is the date when you registered your wallet with
        us. |

        | userID | The unique identifier of the account owner. It should be the
        same as your assigned id, since we are operating through a B2B service
        model. |
      operationId: get-wallets
      parameters:
        - name: clientId
          in: path
          required: true
          description: ''
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    wallet:
                      type: string
                    supportedToken:
                      type: object
                      properties:
                        name:
                          type: string
                        status:
                          type: string
                    supportedNetwork:
                      type: object
                      properties:
                        name:
                          type: string
                        status:
                          type: string
                    supportedCustodian:
                      type: object
                      properties:
                        name:
                          type: string
                        code:
                          type: string
                        status:
                          type: string
                    status:
                      type: string
                    registerDate:
                      type: string
                    userId:
                      type: string
              examples:
                api-wallets:
                  summary: api/wallets
                  value:
                    - id: 0e5404d7-d679-4e07-bfc1-3a8fe22d3621
                      wallet: '34567765432'
                      supportedToken:
                        name: USDT
                        status: 'true'
                      supportedNetwork:
                        name: ERC20
                        status: 'true'
                      supportedCustodian:
                        name: Binance
                        code: BI
                        status: 'true'
                      status: in_review
                      registerDate: '2024-04-25 21:34:06.657977'
                      userId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                    - id: d5a3b243-db5b-46c7-b4ce-8e2b88a72122
                      wallet: '0x00012c8cf97bead5deae237070f9587f8e7a266d'
                      supportedToken:
                        name: USDC
                        status: 'true'
                      supportedNetwork:
                        name: ERC20
                        status: 'true'
                      supportedCustodian:
                        name: Binance
                        code: BI
                        status: 'true'
                      status: accepted
                      registerDate: '2023-10-24 23:07:16.141298'
                      userId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Access token from POST /api/token (valid 5 minutes).

````